Bug 186107 - Corrupted shell display
Summary: Corrupted shell display
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: bash   
(Show other bugs)
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-21 17:44 UTC by Shashank
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-22 12:00:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Shashank 2006-03-21 17:44:42 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. at shell prompt, type cat ./<binaryfile>
where <binaryfile> is the name of a binary file

2.
3.
  
Actual results:
Display in the shell is all corrupted

Expected results:
Normal display


Additional info:

Comment 1 Tim Waugh 2006-03-22 12:00:57 UTC
Writing binary to a terminal can have all sorts of results -- this is not a bash
problem, or a gnome-terminal problem.

Don't write random bytes to a terminal.  If you do, by accident, you can type
'reset; stty sane' to recover.


Note You need to log in before you can comment on or make changes to this bug.